summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Brandt <alunduil@gentoo.org>2015-12-11 16:36:19 -0600
committerAlex Brandt <alunduil@gentoo.org>2015-12-11 16:39:37 -0600
commit08cf18c493df5ac35a93277316b15971bc328301 (patch)
treef8cd6e905086e2795978b63cea3783f34a4c8436 /app-admin
parentRevert "python*-r1.eclass: Replace non-portable use of 'declare -g'" (diff)
downloadgentoo-08cf18c493df5ac35a93277316b15971bc328301.tar.gz
gentoo-08cf18c493df5ac35a93277316b15971bc328301.tar.bz2
gentoo-08cf18c493df5ac35a93277316b15971bc328301.zip
app-admin/supernova: add version 2.2.0
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/supernova/Manifest1
-rw-r--r--app-admin/supernova/supernova-2.2.0.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/app-admin/supernova/Manifest b/app-admin/supernova/Manifest
index 247f27544de..d37613d04f7 100644
--- a/app-admin/supernova/Manifest
+++ b/app-admin/supernova/Manifest
@@ -1,3 +1,4 @@
DIST supernova-2.0.8.tar.gz 22569 SHA256 fd1a3dbcf52bba6deceb316baf9f8c6b5733c8e1ab4a6b1977aa6c871190f853 SHA512 43d1c53c71c6901da3d9c8e6160ff04110c76cb52281e10fcd8d339c23b2e5da03074e0fda6df66026d8edd268c6a755aa7e087dc131fdfc2365b5bdeed22be2 WHIRLPOOL 6837cc4d841b362a84b97b2a57d6b0b7e0b9cf13eaeef8e6643d9c96db8bbbed0d8c431cf4ddf54a662992a9b4980c88c86c299bd0efd53a015177c975262cf1
DIST supernova-2.0.9.tar.gz 22877 SHA256 c90518015b5bc12809e8b6a73907773764f0f1eebd5b85cfb06048ddacbffae9 SHA512 8270f871efcf7c8741078e4658dd8413796a14bd9eb43514beb8b120462db757a5324c5c3c9e4988d8725ec9b903e7743c6ae336dd5f73536e1e0df456ba54a9 WHIRLPOOL 4baa73a956b4f85a25e1f8b7df30115389201ccf165fb21333a11ac0214fd6cbb547b29dc7040c39660890fabb869b961a6904d9ea293f1c92b8c8675ba6a4f3
DIST supernova-2.1.0.tar.gz 23196 SHA256 e8233be47eb1ef30d326fd40fa0ebce396ad8021d950b5df2348c436411e6dd6 SHA512 fa4f6b3f0a3b5a19c309b507ce8c356a929c8a8cf805c45d58a8f4c1bc36f508a0d04477570cf79e7660e94d803df8a02e67206465e75eb3452e43cb6ca186aa WHIRLPOOL 08845b3199ecd09a2419fe379354e3a7bd286b0d617a51b15e30db5448cd44d27571881ab54bb263ec0cd6ecf9f93435774eddc7d26b74acff3c3e55e3fe32e9
+DIST supernova-2.2.0.tar.gz 24068 SHA256 d6f1ac7990400ef5490ffc38b9fcb6ca6ed8827c07e1471ec7192ae584084dfd SHA512 436ec13dfaf5ff7cadacc1dedc3545a579784cfce3b0c7925cc0d877ba76a4c865ad3687ae8ae22fdb11d880282dd555f9a9d709c005ad024299a34607fd8063 WHIRLPOOL 3938b4c72025d29ba0ebbdc5619398b57f01751a388f48b60bbc46101b09c2481675c4bbc33d921c5a90385f5b140c05d4f35d9d9d16f66c01a90ef0d0c32ed6
diff --git a/app-admin/supernova/supernova-2.2.0.ebuild b/app-admin/supernova/supernova-2.2.0.ebuild
new file mode 100644
index 00000000000..1339eff5ee1
--- /dev/null
+++ b/app-admin/supernova/supernova-2.2.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="novaclient wrapper for multiple nova environments"
+HOMEPAGE="https://github.com/rackerhacker/supernova"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="
+ ${CDEPEND}
+ doc? ( >=dev-python/mkdocs-0.14.0[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND="
+ ${CDEPEND}
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/configobj[${PYTHON_USEDEP}]
+ >=dev-python/keyring-0.9.2[${PYTHON_USEDEP}]
+ dev-python/python-novaclient[${PYTHON_USEDEP}]
+ dev-python/rackspace-novaclient[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_compile_all() {
+ if use doc; then
+ mkdocs build || die "docs failed to build"
+ fi
+}
+
+python_test() {
+ py.test || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( site/. )
+ use examples && local EXAMPLES=( example_configs/. )
+
+ distutils-r1_python_install_all
+
+ newbashcomp contrib/${PN}-completion.bash ${PN}
+}